

const datetime={
    verifyTime:function(time){
        setTimeout(function(){
            time.target.value=time.target.value.replace('：',':');
            time.target.value=time.target.value.replace(/[a-zA-Z]/,'');
            time.target.value=time.target.value.replace(/^([\d]{1})([\s]{1})/,"$1:");
            time.target.value=time.target.value.replace(/^([\d]{1})([\d]{1})([\s]{1})/,"$1$2:");
            time.target.value=time.target.value.replace(/^([\d]{1})([\d]{1})([\d]{1})/,"$1$2:$3");
            time.target.value=time.target.value.replace(/^([\d]{1})([\d]{1})([\d]{1})([\d]{1})(.*?)/,"$1$2$3$4");
            time.target.value=time.target.value.replace(/^([\d]{1})([\d]{1})([\d]{1})([\d]{1})/,"$1$2:$3$4");
            time.target.value=time.target.value.replace(/^([\d]{1})([\d]{1}):([\d]{1})([\d]{1})([\s\S]{1})/,"$1$2:$3$4");
            time.target.value=time.target.value.replace(/^([\d]{1})([\d]{1}):([\D]{1,99})/,"$1$2:");
            time.target.value=time.target.value.replace(/^([\d]{1})([\d]{1})([\d]{1})\./,"$1:$2$3");
            time.target.value=time.target.value.replace(/^([\d]{1})\.([\d]{1})([\d]{1})/,"$1:$2$3");
            time.target.value=time.target.value.replace(/^([\d]{1})([\d]{2})([\S\s]{1,99})/,"$1$2:$3");
            time.target.value=time.target.value.replace(/^([\d]{1}):([\d]{2})([\S\s]{1,99})/,"$1:$2");
            time.target.value=time.target.value.replace(/^([\d])/,"$1");
            time.target.value=time.target.value.replace(/^([1])([\d]{1})/,"$1$2");
            time.target.value=time.target.value.replace(/^([3-9])([\d]{1})/,"2$2");
            time.target.value=time.target.value.replace(/^([2-9]{1})([4-9]{1})/,"$13");
            time.target.value=time.target.value.replace(/^([\d]{1})([\d]{1}):([6-9]{1})/,"$1$2:5");
            time.target.value=time.target.value.replace(/^([\d]{1})([\d]{1})$/,"$1$2:");
        },10);
    },
};
module.exports=datetime;
